import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.SpringLayout;
import javax.swing.JButton;
import javax.swing.JComboBox;
import java.awt.event.ActionListener;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import java.awt.event.ActionEvent;

public class Main extends JFrame implements KeyListener {
	private JComboBox combocolour;
	private JPanel contentPane;
	private JTable table;
	private JButton btndelete;
	private Dimension btnDimension=new Dimension(100,20);

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					Main frame = new Main();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public Main() {
		
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 300);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		SpringLayout sl_contentPane = new SpringLayout();
		contentPane.setLayout(sl_contentPane);
		
		btndelete=new JButton();
		sl_contentPane.putConstraint(SpringLayout.EAST, btndelete, 0, SpringLayout.EAST, contentPane);
		btndelete.setPreferredSize(btnDimension);
		btndelete.setText("Cancella");
		contentPane.add(btndelete);
		btndelete.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
			table.setDelete(true);
			}
		});
		table = new JTable();
		sl_contentPane.putConstraint(SpringLayout.EAST, table, -100, SpringLayout.EAST, contentPane);
		sl_contentPane.putConstraint(SpringLayout.WEST, btndelete, 6, SpringLayout.EAST, table);
		sl_contentPane.putConstraint(SpringLayout.NORTH, table, 10, SpringLayout.NORTH, contentPane);
		sl_contentPane.putConstraint(SpringLayout.WEST, table, 0, SpringLayout.WEST, contentPane);
		sl_contentPane.putConstraint(SpringLayout.SOUTH, table, -10, SpringLayout.SOUTH, contentPane);
		contentPane.add(table);
		
		combocolour = new JComboBox();
		sl_contentPane.putConstraint(SpringLayout.NORTH, btndelete, 40, SpringLayout.NORTH, combocolour);
		combocolour.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
			String colour;
			colour=combocolour.getSelectedItem().toString();
			table.setColour(colour);
			}
		});
		sl_contentPane.putConstraint(SpringLayout.NORTH, combocolour, 0, SpringLayout.NORTH, table);
		sl_contentPane.putConstraint(SpringLayout.WEST, combocolour, 6, SpringLayout.EAST, table);
		sl_contentPane.putConstraint(SpringLayout.SOUTH, combocolour, 34, SpringLayout.NORTH, contentPane);
		sl_contentPane.putConstraint(SpringLayout.EAST, combocolour, -10, SpringLayout.EAST, contentPane);
		contentPane.add(combocolour);
		combocolour.addItem("rosso");
		combocolour.addItem("blu");
		
	}

	@Override
	public void keyPressed(KeyEvent e) {
		int keyCode=e.getKeyCode();
		System.out.println(keyCode);
		
	}

	@Override
	public void keyReleased(KeyEvent e) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void keyTyped(KeyEvent e) {
		
		
	}
}
